Yeah those are good enough for me, both work great with trackball. I think the newer GT's need mame2010+ never had much luck on the pi with that.